# Comments Object

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/comments/

Schema for the `Comments` resource in **Unified Ticketing API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a comment
- **`author`** _(object)_
  The id of the user or contact who created the comment
  - **`id`** _(string, required)_
    The id of the user or contact who created the comment
  - **`name`** _(string)_
    The name of the user or contact who created the comment
  - **`username`** _(string)_
    The username of the user or contact who created the comment
  - **`type`** _(string, required)_
    Type of the author
    Allowed: `user`, `contact`, `system`
- **`receiver`** _(object)_
  The id of the user or contact who is receiving the comment
  - **`id`** _(string, required)_
    The id of the user or contact who receiving the comment
  - **`name`** _(string)_
    The name of the user or contact who receiving the comment
  - **`type`** _(string, required)_
    Type of the receiver
    Allowed: `user`, `contact`, `system`
- **`body`** _(string)_
  The body of the comment
- **`html_body`** _(string)_
  The body of the comment in HTML format
- **`ticket`** _(object)_
  The ticket to which the comment belongs
  - **`id`** _(string, required)_
    The unique identifier for a ticket
- **`attachments`** _(array<object>)_
  The attachments of the comment
  - **`id`** _(string)_
    The unique identifier for the attachment
  - **`file_name`** _(string)_
    The attachment's name.
  - **`file_url`** _(string)_
    The URL to download the attachment
  - **`content_type`** _(string)_
    The content type of the attachment
  - **`uploaded_by`** _(object)_
    The user who uploaded the attachment
    - **`id`** _(string)_
      The user who uploaded the attachment
    - **`name`** _(string)_
      The user who uploaded the attachment
  - **`uploaded_by_type`** _(string)_
    The type of the user who uploaded the attachment
  - **`created_at`** _(string)_
    The time when the attachment was created
- **`is_internal`** _(boolean)_
  Whether the comment is internal. True for internal notes left by users.
- **`is_private`** _(boolean)_
  Whether the comment is private or not
- **`channel`** _(object)_
  The medium through which the comment was sent.
  - **`id`** _(string)_
    The unique identifier for the channel
  - **`name`** _(string)_
    The name of the channel
  - **`type`** _(string)_
    The type of the channel
- **`created_at`** _(string)_
  The date and time when the comment was created
- **`updated_at`** _(string)_
  The date and time when the comment was updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ticketing/comments](/docs/api-reference/unified-ticketing-api/comments/list) — List Comments
- [POST /unified/ticketing/comments](/docs/api-reference/unified-ticketing-api/comments/create) — Create Comments
- [GET /unified/ticketing/comments/{id}](/docs/api-reference/unified-ticketing-api/comments/get) — Get Comments
- [PATCH /unified/ticketing/comments/{id}](/docs/api-reference/unified-ticketing-api/comments/update) — Update Comments
- [DELETE /unified/ticketing/comments/{id}](/docs/api-reference/unified-ticketing-api/comments/delete) — Delete Comments
